
<!doctype html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

	<title>iKAT 2013 - Desktop Edition</title>
	<meta name="description" content="iKAT - Interactive Kiosk Attack Tool. Desktop Edition ** Hacking Kiosks, Citrix Sessions and WebTV's since 2006 ** ">
	<meta name="author" content="Paul Craig - paul@ha.cked.net">
	<meta name="viewport" content="width=device-width">

	<link rel="stylesheet" href="/css/style.css">
<link rel="image_src" href="/img/ikat_girl.jpg" />
	<script src="js/libs/modernizr-2.5.3-respond-1.1.0.min.js"></script>
</head>
<body>

<div id="body-wrapper">
	<div id="header-container">
		<div id="header" class="wrapper clearfix">
			<div align=center class="header-copy" width=800px;>
				<p class="slogan"><font color=white>iKAT - Interactive Kiosk Attack Tool v2013 (Desktop Edition)</p></font>
			
			
			<img  align=center src="/img/ikat_girl.jpg" alt="iKAT logo" id="title"/>
			
			
			</div>
				
				<div class="description">
					<p>iKAT was designed to aid security consultants with the task of auditing the security of browser controlled environments such as Kiosks, Citrix Terminals and WebTV's by providing methods to access the underlying operating system and automatically escalate local privileges.</p>
					<p>This is the <font color=red>Desktop edition</font> of iKAT and is 100% free to use - however, modifications to iKAT, the iKAT Logo, or any of the iKAT tools is explicitly not permitted. iKAT Professional is available from the <a href="http://ikat.ha.cked.net/store">iKAT Store</a> and allows you to modify the look and feel of iKAT along with a suite of other new tricks and attacks. </p>
				</div>
				
				<div class="download-links" align=center>
					<h2>Available Versions:</h2>
					<p><a href="/Windows">Windows</a> // <a href="/Linux">Linux</a></p>
				<br><br>
<iframe id=facebook width=100% src=/facebook scrollbar=none frameborder=0></iframe>
			</div>				
			</div>
			</div>
		</div>
	</div>
	<div id="main-container" class="clearfix">
		
		<div id="main" class="wrapper clearfix">
			
			<ul class="tools" class="clearfix">
			
			<!-- Automatic Exploitation -->
		
			
				<!-- Box 1: Reconnaissance -->
				
				<li class="brick clearfix" id="box1">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box1_toggle">Reconnaissance <span id="box1_open">&rarr;</span>
							<span id="box1_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Tools for determining information about your target.</p>
						<div id="box1_nav" class="nav">
							<!-- Box 1: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box1_nav1_toggle">Target Information</a></h3>
							<p>Detect as much as you can about your target and the available attack vectors. </p>
							<!-- Box 1: Nav 2 Toggle -->
							<h3><a href="javascript: void(0)" id="box1_nav2_toggle">Remote Server Variables</a></h3>
							<p>Remote server variables will disclose the remote address of the Kiosk and User Agent Value.</p>
							<!-- Box 1: Nav 3 Toggle -->
							<h3><a href="http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager03.html" target="_blank">Global Flash Settings</a></h3>
							<p>Offsite link to Adobe's Global Storage Settings panel.</p>
							<!-- Box 1: Nav 4 Toggle -->
							<h3><a href="javascript: void(0)" id="box1_nav4_toggle">File Reflection</a></h3>
							<p>File reflection will allow you to use the iKAT server to view local system files, this is handy when you do not have the ability to load an external application such as a file viewer. Upload the file to iKAT, and iKAT will parse and return the files contents back to you. <em>Don't worry, all files are deleted after being uploaded. </em></p>
							</div>
					</div>
					
					<div class="right" id="box1_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 1: Nav 1 Content -->
						<div class="inner-function" id="box1_nav1_content">
							<h2>Local Browser Variables</h2>
							<iframe src="/Windows/functions/browserinfo.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device.</em>
						</iframe>
						</div>
						
						<!-- Box 1: Nav 2 Content -->
						<div class="inner-function" id="box1_nav2_content">
							<h2>Remote Server Variables</h2>
							<iframe src="/servervar" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device.</em>
								</iframe>
						</div>
						
						<!-- Box 1: Nav 4 Content -->
						<div class="inner-function" id="box1_nav4_content">
							<h2>File Reflection</h2>
							<p>Select a plaintext or binary file and use iKAT to view the file contents through the magic of Reflection.
							
							<iframe src="/Windows/functions/reflect.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device.</em>
							</iframe>
						</div><!--.inner-function-->
			
			</div>
				</li><!-- END Box 1: Reconnaissance -->
							
				
		<li class="brick clearfix" id="box3">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box3_toggle">Common Dialogs<span id="box3_open">&rarr;</span>
							<span id="box3_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Spawn Common Dialogs such as File/Open, File/Print, File/Save etc.</p>
						<div id="box3_nav" class="nav">
							<!-- Box 3: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box3_nav1_toggle">Common Dialogs via HTML</a></h3>
							<p>Spawn Common Dialogs, these Dialogs contain SHELL32/Explorer functionality and can be used to browse the file system. </p>
							
							<h3><a href="javascript: void(0)" id="box3_nav2_toggle">Common Dialogs via Flash</a></h3>
							<p>Spawn Common Dialogs via Flash. </p>
							</div>
					</div>
					
					<div class="right" id="box3_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 3: Nav 1 Content -->
						<div class="inner-function" id="box3_nav1_content">
							<h2>Common Dialogs via HTML</h2>
							<iframe src="functions/commondialogs.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
				
					
				<!-- Box 3: Nav 2 Content -->
						<div class="inner-function" id="box3_nav2_content">
							<h2>Common Dialogs via Flash</h2>
							<iframe src="/Windows/functions/commondialogs-flash.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
					</div>
		</li><!-- END Box 3: Common Dialogs -->
				
				<!-- URI handlers -->
				
					<li class="brick clearfix" id="box4">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box4_toggle">URI Handlers <span id="box4_open">&rarr;</span>
							<span id="box4_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Tools for determining information about your target.</p>
						<div id="box4_nav" class="nav">
							<!-- Box 4: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box4_nav1_toggle">Manual Invocation</a></h3>
							<p>Manual links to each known URI handler. </p>
							<!-- Box 4: Nav 2 Toggle -->
							<h3><a href="javascript: void(0)" id="box4_nav2_toggle">Automatic Invocation</a></h3>
							<p>Automatically invoke all known URI handlers and thier handling application through JavaScript.</p>
							</div>
					</div>
					
					<div class="right" id="box4_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 4: Nav 1 Content -->
						<div class="inner-function" id="box4_nav1_content">
							<h2>URI Handlers - Manual</h2>
							<iframe src="functions/urihandlers.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
						
						<!-- Box 4: Nav 2 Content -->
						<div class="inner-function" id="box4_nav2_content">
							<h2>URI Handlers - Automatic</h2>
							<iframe src="functions/urihandlers-auto.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
								</iframe>
						</div>
						
			
			</div>
				</li>
				
				
					<!-- File handlers -->
				
					<li class="brick clearfix" id="box5">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box5_toggle">File Handlers <span id="box5_open">&rarr;</span>
							<span id="box5_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Enumerate all registered File Handlers and spawn the handling application.</p>
						<div id="box5_nav" class="nav">
							<!-- Box 5: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box5_nav1_toggle">Manual Invocation</a></h3>
							<p>Manual links to each file type. </p>
							<!-- Box 5: Nav 2 Toggle -->
							<h3><a href="javascript: void(0)" id="box5_nav2_toggle">Automatic Invocation</a></h3>
							<p>Automatically invoke all known file types and spawn the handling application through JavaScript.</p>
							</div>
					</div>
					
					<div class="right" id="box5_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 5: Nav 1 Content -->
						<div class="inner-function" id="box5_nav1_content">
							<h2>File Type Handlers - Manual</h2>
							<iframe src="functions/filehandlers.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
						
						<!-- Box 5: Nav 2 Content -->
						<div class="inner-function" id="box5_nav2_content">
							<h2>File Handlers - Automatic</h2>
							<iframe src="functions/filehandlers-auto.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
								</iframe>
						</div>
						
			
			</div>
				</li>
				
				
				
	<!-- Browser Addons -->
				
					<li class="brick clearfix" id="box6">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box6_toggle">Browser Addons <span id="box6_open">&rarr;</span>
							<span id="box6_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Browser plugins and addons to aid your exploitation attempts.</p>
						<div id="box6_nav" class="nav">
							<!-- Box 6: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box6_nav1_toggle">Java Applets</a></h3>
							<p>Got Java? We have shells.</p>

							<h3><a href="javascript: void(0)" id="box6_nav2_toggle">JavaScript Console</a></h3>
							<p>A full inline JavaScript console</p>				
							
							<!-- Box 6: Nav 4 Toggle -->
							<h3><a href="javascript: void(0)" id="box6_nav4_toggle">Firefox Addons</a></h3>
							<p>Install the iKAT FireFox Addon and gain access to an extra right-click context menu. This menu contains new tools and the ability to spawn processs.</p>
							</div>
					</div>
					
					<div class="right" id="box6_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 5: Nav 1 Content -->
						<div class="inner-function" id="box6_nav1_content">
							<h2>Java</h2>
							<iframe src="functions/java.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
						
						<div class="inner-function" id="box6_nav2_content">
							<h2>JavaScript Console</h2>
							<iframe src="functions/jsconsole.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
								</iframe>
						</div>
			
									
									<!-- Box 6: Nav 4 Content -->
						<div class="inner-function" id="box6_nav4_content">
							<h2>iKAT FireFox XPI</h2>
							<iframe src="functions/firefox.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
								</iframe>
						</div>
			</div>
				</li>
				
				
				
				
	<!-- FF Resources -->
				
					<li class="brick clearfix" id="box7">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box7_toggle">FireFox Resources<span id="box7_open">&rarr;</span>
							<span id="box7_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Tools for determining information about your target.</p>
						<div id="box7_nav" class="nav">
							<!-- Box 7: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box7_nav1_toggle">FireFox XUL Paths</a></h3>
							<p>Copy/Paste each of these links into the URL field to gain access to the FireFox tools/options and configurations.</p>
				
							</div>
					</div>
					
					<div class="right" id="box7_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 7: Nav 1 Content -->
						<div class="inner-function" id="box7_nav1_content">
							<h2>FireFox URL Paths</h2>
							<iframe src="functions/firefox_uri.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
		
			</div>
				</li>
				
				
				
				
				
			<!-- iKAT Tools -->
				
					<li class="brick clearfix" id="box8">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box8_toggle">iKAT Tools<span id="box8_open">&rarr;</span>
							<span id="box8_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>A complete armory of tools designed to aid your exploitation attempts.</p>
						<div id="box8_nav" class="nav">
							<!-- Box 8: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box8_nav1_toggle">Binary Tools</a></h3>
							<p>Native Linux Binaries for various exploitation tasks.</p>
						</div>
					</div>
					
					<div class="right" id="box8_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 8: Nav 1 Content -->
						<div class="inner-function" id="box8_nav1_content">
							<h2>iKAT Tools</h2>
							<iframe src="functions/ikatfiles.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
					

			</div>
				</li>
				
				
				
			<!-- Emo Kiosk -->
				
					<li class="brick clearfix" id="box9">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box9_toggle">Crash a Kiosk<span id="box9_open">&rarr;</span>
							<span id="box9_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Attempt to Crash the Kiosk and gain access to the underlying OS</p>
						<div id="box9_nav" class="nav">
							<!-- Box 9: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box9_nav1_toggle">Crash the Kiosk using HTML Syntax Vulnerabilities</a></h3>
							<p>Automatically spawn HTML content in an attempt to crash the Kiosk, crashing a Kiosk will often lead to the Kiosk application closing and underlying OS being exposed. </p>
							<!-- Box 9: Nav 2 Toggle -->
							<h3><a href="javascript: void(0)" id="box9_nav2_toggle">Crash the Kiosk using browser addons/plugins.</a></h3>
							<p>Automatically spawn browser addon content such as Flash and PDF files in an attempt to crash the Kiosk's main process. </p>
							</div>
					</div>
					
					<div class="right" id="box9_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 5: Nav 1 Content -->
						<div class="inner-function" id="box9_nav1_content">
							<h2>Crash the browser enviroment using HTML content.</h2>
							<iframe src="functions/html_crash.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
						
						<!-- Box 5: Nav 2 Content -->
						<div class="inner-function" id="box9_nav2_content">
							<h2>Crash the browser enviroment using Flash/PDF content.</h2>
							<iframe src="functions/addons_crash.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
								</iframe>
						</div>
						
			
			</div>
				</li>
				
				<!-- Donate & Credits -->
		<li class="brick clearfix" id="box10">
					<div class="left">
						<h2><a href="javascript: void(0)" id="box10_toggle">Donate & Credits<span id="box10_open">&rarr;</span>
							<span id="box10_close" style="display:none;font-weight:normal;"><sup>x</sup></span></a></h2>
								
						<p>Donations, Credits and Contact Information</p>
						<div id="box10_nav" class="nav">
							<!-- Box 10: Nav 1 Toggle -->
							<h3><a href="javascript: void(0)" id="box10_nav1_toggle">Donate to iKAT</a></h3>
							<p>iKAT is 100% donateware, from the hosting, the code-signing certificate, the design, the graphics. Everything is donated. If you have used iKAT to pop shells, or appreciate the hard work invested in iKAT - Please donate.. Every dollar counts</p>
							<!-- Box 10: Nav 2 Toggle -->
							<h3><a href="javascript: void(0)" id="box10_nav2_toggle">iKAT Credits</a></h3>
							<p>Thanks to those who have made this project possible</p>
							<!-- Box 10: Nav 3 Toggle -->
							<h3><a href="javascript: void(0)" id="box10_nav3_toggle">Contact iKAT</a></h3>
							<p>Would you like to give some feedback to me regarding the project? Think you have a great idea, cool concept, or something to offer? Or just want to send abuse?</p>
							<p></p>
							</div>
					</div>

					<div class="right" id="box10_content">
						<p class="tinytext content_prompt">Choose an option from the menu.</p>
																		
						<!-- Box 0: Nav 1 Content -->
						<div class="inner-function" id="box10_nav1_content">
							<h2>Donate to iKAT</h2>
							<iframe src="functions/donatenow.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
						
						<div class="inner-function" id="box10_nav2_content">
							<h2>Credits</h2>
							<iframe src="functions/credits.html" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
		
								<div class="inner-function" id="box10_nav3_content">
							<h2>Contact iKAT / Feedback</h2>
							<iframe src="functions/feedback.php" scrolling="auto" width="100%" style="height:500px;">
								<em>iFrames not supported on this device. </em>
						</iframe>
						</div>
		
			</div>
				</li>
				
				
				
			</ul>		
			
		</div> <!-- #main -->
		<div class="footer-top"></div>
	</div> <!-- #main-container -->

	<div id="footer-container">
		<div id="footer" class="wrapper">
			<p class="copyright">&copy;2013 Paul Craig // paul at ha.cked.net<br /></p>

			<p class="credits"><strong>Credits</strong><br />
			Illustration // <a href="http://vivienmasters.com/">Vivien Masters</a><br />
			Website design // <a href="http://melaniewilke.com">Melanie Wilke</a><br /></p>
		</div>
	</div>

</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="js/libs/jquery-1.7.2.min.js"><\/script>')</script>

<script src="js/script.js"></script>

<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-34031017-1']);
  _gaq.push(['_setDomainName', 'ha.cked.net']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>


</body>
</html>
